Skip to content

Overview

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

This API reference describes endpoints for managing subscriptions, coupons, and promotions. To get more information about Subscriptions, see the product guide and the glossary.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/subscriptions/
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Request

Security
managementJwtAuth
Path
subscription_idinteger\d+required
project_idinteger\d+required
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/cancel' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Make subscription non-renewable

Bodyapplication/json
Response
application/json
null

Request

Security
managementJwtAuth
Path
subscription_idinteger\d+required
project_idinteger\d+required
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/activate' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Move subscription from non-renew to active

Bodyapplication/json
Response
application/json
{ "status": "successful" }
Operations